<?php
/*
Plugin Name: ID-3 Blog
Plugin URI: https://id-3.net
Description: Connect and sync to ID-3's master blog directory
Version: 0.1.24
Author: ID-3 Innovations
Author URI: https://id-3.net
License: GPLv2 or later
Text Domain: id3-blog
*/


namespace ID3\Blog;

// Plugin name
define(__NAMESPACE__ . '\NAME',             'Blog');
define(__NAMESPACE__ . '\DESC',             'Connect and sync to ID-3\'s master blog directory');

// Plugin version
define(__NAMESPACE__ . '\VERSION',          '0.1.24');

/* ***********************************************

NO MORE EDITING HERE
Next stop: "/index.php" 

************************************************ */

// Root file
define(__NAMESPACE__ . '\PLUGIN',            __FILE__);

require_once dirname(__FILE__) . '/index.php';

add_action( 'plugins_loaded', function(){
    if(class_exists('\ID3\Framework\Bootstrap')){
        new \ID3\Framework\Bootstrap(__NAMESPACE__);
        load_default_textdomain();
    }
}, 10 );

