<?php
// Setup the main namespace for the plugin. 
// It should be ID3\Your_plugin_unique_key
namespace ID3\Blog;

// GLOBAL CONSTANTS
// Change the following constants to match your plugin definition
//


// Plugin color scheme
define(__NAMESPACE__ . '\COLOR',             '#339AF0');

// Text domain       
define(__NAMESPACE__ . '\TDOM',             'id3-blog');

// Minium required Wordpress version
define(__NAMESPACE__ . '\MIN_WP_VERSION',   '4.0');


// Root folder
define(__NAMESPACE__ . '\PLUGIN_DIR',                           
                            str_replace('\\', '/', plugin_dir_path( __FILE__ ) ));    

// Root Url folder
define(__NAMESPACE__ . '\PLUGIN_URL',                           
                            str_replace(str_replace('\\', '/', ABSPATH),'', namespace\PLUGIN_DIR));

// Plugin key - Used for building unique plugin prefixes. Ex: shortcodes [id3-pluginsample-shortcodename]
// Next line will automatically transform your namespace from something like ID3\Blog to id3-pluginsample. 
// You can use something else, but we recommand using it as is.
define(__NAMESPACE__ . '\KEY',             str_replace('\\','-',strtolower( __NAMESPACE__)) );
  


return __NAMESPACE__;