/**
 * 
 * Directives file
 * 
 */

// <id3-blog-category-filter-item> ...
id3Plugin   
.directive('id3BlogCategoryFilterItem', function id3BlogCategoryFilterItem(){
    return {
        restrict: 'E',
        scope: {
            model: '=id3Model'
        },
        template: `
            <div class="id3-blog-category-filter-item {{!model || model.list.length == 0 ? 'no-value' : 'has-value'}}">
                <div class="list">
                    <span>
                        <span>{{!model ? 'Add a filter'.translate() : ''}} {{(model.all ? 'all categories'.translate() : '')}} {{model.list | arrayJoin : ', ' : 'label'}}</span>
                    </span>
                </div>
                <i class="fal fa-{{model ? 'pencil' : 'plus'}}"></i>
            </div>`,
        replace: true,
        link: function($scope, $element, $attr){

        },
        controller: function($scope){
            $scope.activate = function(){
                $scope.model.active = true;
            }
        }
    }
});