# Version 0.1.23

### Description
Synchronize and display the articles from a content delivery source.

* Select from a predefined list or a custom content delivery source
* Synchronization based on category which can be filtered out.

### Features
* Multilingual supports
** WPML
** PolyLang



### Requirement
* ID-3 Plugins Framework
* A compatible delivery content source

### Links
* [ID-3 Innovations](https://www.id-3.com/) - Support


## Change log

### 0.1.24
* Add thumbnail in RSS feed

### 0.1.23
* Minor bug fix in synchronization in "Full" mode deleting articles in other locales

### 0.1.22
* Setting update for backward compatibility

### 0.1.21
* Remove the ability to edit blog post that are synchronized with a master source
* Add synchronization preview to category filter window


### 0.1.19
* Fix multilanguage importation bug where all articles were imported in the same language

### 0.1.15
* Add support for PolyLang
* Add action for dlp chain
* Minor bug fixes

### 0.1.11
* Add support for Gutenberg Block Editor
* Use Framework component for buttons

### 0.1.09
* Add user selection article authorship
* Fix date bug

### 0.1.08
* Fix missing picture on share (og:image)

### 0.1.07
* Fix missing bootstrap error

### 0.1.06
* Fix multiple picture in media library

### 0.1.05
* Implementation of the new update system

### Version 0.1.04
* Add support for Yoast SEO metas sync

### Version 0.1.03
* Add failsafe configuration for forcing sync after X days

### Version 0.1.01
* Add automatic synchronization timeout config
* Check for pending update on automatic sync



requires: 5.1.1
tested: 6.0